### Hierarchy

- Tournament

## Index

### Constructors

- constructor

### Properties

- finished
- lobby
- matches
- options
- players
- ranking
- started
- tournamentID
- waiting

## Constructors

### constructor

- new Tournament(): Tournament

- #### Returns Tournament

## Properties

### finished

finished: boolean

- Defined in Tournament.ts:13

### lobby

lobby: string

- Defined in Tournament.ts:9

### Optional matches

matches: Match[]

- Defined in Tournament.ts:10

### options

options: TournamentOptions

- Defined in Tournament.ts:11

### players

players: string[]

- Defined in Tournament.ts:8

### ranking

ranking: PlayerRank[]

- Defined in Tournament.ts:14

### started

started: boolean

- Defined in Tournament.ts:12

### tournamentID

tournamentID: string

- Defined in Tournament.ts:7

### waiting

waiting: boolean

- Defined in Tournament.ts:15

Generated using TypeDoc